MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000601SoldatGraphicspublic2014-11-14 21:162015-01-21 10:58
ReporterLoneR 
Assigned ToExHunter 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version8.1
Product Version 
Target VersionFixed in Version1.6.9 
Summary0000601: Star and Flag icon in the scoreboard are scaled down.
DescriptionIn the scoreboard, Star for registered players and Flag icon for number of caps are not displayed in their original size. Instead they are scaled down and distorted.

For comparison, Dot and DeadDot icons to the left of the player name are displayed in their original scale.
Steps To ReproduceCap a flag and look at the Flag icon in the scoreboard. Or look at the star icon if you're a registered player.
Additional Information- This seems to be an old issue dating back to v1.3 and possibly even further.

- I've attached a screenshot showing a comparison between in-game and actual scale of the icons. The screenshot was taken while using game's native resolution.
TagsNo tags attached.
Attached Filesjpg file icon Untitled-1.jpg [^] (134,442 bytes) 2014-11-14 21:16

- Relationships

-  Notes
(0002386)
ExHunter (developer)
2015-01-15 14:50

Those icons are scaled down to 75% of it's size.

So if you make them bigger, they will appear bigger.

Should this be changed or can be kept?
(0002388)
LoneR (reporter)
2015-01-16 22:28

I think this should be changed. If the icon needs to be small - it's better to make the image itself small enough, rather than have the game downscale it for you.

By downscaling the image yourself you have full control of how the final image will look, but if the game does it for you - you get unexpected distortions that are much harder to fix.
(0002389)
Bistoufly (updater)
2015-01-21 07:59

Fixing this would allow for "pixel perfect" icon art.
(0002390)
ExHunter (developer)
2015-01-21 10:58

fixed

- Issue History
Date Modified Username Field Change
2014-11-14 21:16 LoneR New Issue
2014-11-14 21:16 LoneR File Added: Untitled-1.jpg
2015-01-15 14:50 ExHunter Note Added: 0002386
2015-01-15 14:50 ExHunter Assigned To => ExHunter
2015-01-15 14:50 ExHunter Status new => feedback
2015-01-16 22:28 LoneR Note Added: 0002388
2015-01-16 22:28 LoneR Status feedback => assigned
2015-01-21 07:59 Bistoufly Note Added: 0002389
2015-01-21 10:58 ExHunter Note Added: 0002390
2015-01-21 10:58 ExHunter Status assigned => resolved
2015-01-21 10:58 ExHunter Fixed in Version => 1.6.9
2015-01-21 10:58 ExHunter Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker